Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#1467 closed defect (fixed)

Assertion failed when converting to wmv

Reported by: jcnn Owned by:
Priority: important Component: avcodec
Version: git-master Keywords: wmv2 regression crash abort
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

The following error occurs, when trying to convert a file to wmv.

Assertion s->no_rounding==1 failed at libavcodec/wmv2enc.c:91

The command used is:

ffmpeg -i file.mov -y -b:v 3500k -ac 2 -acodec wmav2 -r 25 -ab 128k -ar 44100 -s 1280×544 -vcodec wmv2 file.wmv

I have tested with ffmpeg version git-2012-02-24-388b7ac and the file converts correct. But with ffmpeg version git-2012-06-17-bc4da77 the error occurs.

Change History (3)

comment:1 Changed 4 years ago by cehoyos

  • Cc jcbl1980@gmail.com removed
  • Keywords wmv2 regression added; avcodec wmv removed
  • Status changed from new to open
  • Summary changed from Error when converting to wmv to Assertion failed when converting to wmv

For future tickets: Please always provide complete, uncut console output.

$ ./ffmpeg -i fate-suite/svq3/Vertical400kbit.sorenson3.mov -an -vcodec wmv2 -f null -
ffmpeg version N-41702-gc47fc94 Copyright (c) 2000-2012 the FFmpeg developers
  built on Jun 19 2012 13:51:19 with gcc 4.3.2
  configuration: --cc=/usr/local/gcc-4.3.2/bin/gcc --enable-gpl --enable-libopenjpeg --enable-libvorbis --enable-libspeex --enable-libmp3lame --enable-libtheora --extra-ldflags=-lm --enable-libvpx --enable-libxavs
  libavutil      51. 58.100 / 51. 58.100
  libavcodec     54. 25.100 / 54. 25.100
  libavformat    54.  8.100 / 54.  8.100
  libavdevice    54.  0.100 / 54.  0.100
  libavfilter     2. 81.100 /  2. 81.100
  libswscale      2.  1.100 /  2.  1.100
  libswresample   0. 15.100 /  0. 15.100
  libpostproc    52.  0.100 / 52.  0.100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x90263c0] max_analyze_duration 5000000 reached at 5000998
Guessed Channel Layout for  Input Stream #0.1 : mono
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'fate-suite/svq3/Vertical400kbit.sorenson3.mov':
  Metadata:
    creation_time   : 2001-03-20 16:17:18
    title           : Vertical Online SV3 Demo
    title-eng       : Vertical Online SV3 Demo
    artist          : Logan Kelsey
    artist-eng      : Logan Kelsey
    copyright       : © Vertical Online 2001
    copyright-eng   : © Vertical Online 2001
    encoder         : Sorenson Video 3
    encoder-eng     : Sorenson Video 3
  Duration: 00:00:43.57, start: 0.000000, bitrate: 580 kb/s
    Stream #0:0(eng): Video: svq3 (SVQ3 / 0x33515653), yuvj420p, 320x240, 391 kb/s, 30.02 fps, 30 tbr, 600 tbn, 600 tbc
    Metadata:
      creation_time   : 2001-03-20 16:17:18
      handler_name    : Apple Alias Data Handler
    Stream #0:1(eng): Audio: adpcm_ima_qt (ima4 / 0x34616D69), 44100 Hz, mono, s16, 176 kb/s
    Metadata:
      creation_time   : 2001-03-20 16:17:18
      handler_name    : Apple Alias Data Handler
[buffer @ 0x902ddc0] w:320 h:240 pixfmt:yuvj420p tb:1/600 fr:30/1 sar:0/1 sws_param:flags=2
[ffmpeg_buffersink @ 0x902e780] No opaque field provided
[format @ 0x902e8c0] auto-inserting filter 'auto-inserted scaler 0' between the filter 'Parsed_null_0' and the filter 'format'
[auto-inserted scaler 0 @ 0x902e0c0] w:320 h:240 fmt:yuvj420p sar:0/1 -> w:320 h:240 fmt:yuv420p sar:0/1 flags:0x4
Output #0, null, to 'pipe:':
  Metadata:
    creation_time   : 2001-03-20 16:17:18
    title           : Vertical Online SV3 Demo
    title-eng       : Vertical Online SV3 Demo
    artist          : Logan Kelsey
    artist-eng      : Logan Kelsey
    copyright       : © Vertical Online 2001
    copyright-eng   : © Vertical Online 2001
    encoder-eng     : Sorenson Video 3
    encoder         : Lavf54.8.100
    Stream #0:0(eng): Video: wmv2, yuv420p, 320x240, q=2-31, 200 kb/s, 90k tbn, 30 tbc
    Metadata:
      creation_time   : 2001-03-20 16:17:18
      handler_name    : Apple Alias Data Handler
Stream mapping:
  Stream #0:0 -> #0:0 (svq3 -> wmv2)
Press [q] to stop, [?] for help
Assertion s->no_rounding==1 failed at libavcodec/wmv2enc.c:91
Abort

comment:2 Changed 4 years ago by michael

  • Resolution set to fixed
  • Status changed from open to closed

comment:3 Changed 4 years ago by cehoyos

  • Keywords crash abort added
Note: See TracTickets for help on using tickets.